###############################################################################
## This file is part of the Wolfpack module system
## Copyright (C) 1998-2005  Tothwolf <tothwolf@concentric.net>
## and is distributed according to the GNU general public license.
## For full details, read the top of wolfpack.tcl or the file called
## COPYING that was distributed with this code.
##
## $Id: wrpgnet.tcl,v 1.10 2005/01/04 03:36:44 tothwolf Exp $
##

# name: wrpgnet
# version: 0.2.1.1
# author: Tothwolf <tothwolf@concentric.net>
# license: GNU GPL v2
# config: wrpgnet.conf
# description:
# requires: this_module_needs_to_be_converted


#
proc bot:wrpgmove {from cmd arg} {
  return 0
}

#
proc dcc:n {hand idx arg} {
  putallbots "wrpgmove n $hand"
  return 0
}

#
proc dcc:s {hand idx arg} {
  putallbots "wrpgmove s $hand"
  return 0
}

#
proc dcc:e {hand idx arg} {
  putallbots "wrpgmove e $hand"
  return 0
}

#
proc dcc:w {hand idx arg} {
  putallbots "wrpgmove w $hand"
  return 0
}

#
proc dcc:ne {hand idx arg} {
  putallbots "wrpgmove ne $hand"
  return 0
}

#
proc dcc:nw {hand idx arg} {
  putallbots "wrpgmove nw $hand"
  return 0
}

#
proc dcc:se {hand idx arg} {
  putallbots "wrpgmove se $hand"
  return 0
}

#
proc dcc:sw {hand idx arg} {
  putallbots "wrpgmove sw $hand"
  return 0
}

#
proc dcc:u {hand idx arg} {
  putallbots "wrpgmove u $hand"
  return 0
}

#
proc dcc:d {hand idx arg} {
  putallbots "wrpgmove d $hand"
  return 0
}

#
proc dcc:home {hand idx arg} {
  putallbots "wrpgmove home $hand"
  return 0
}

# Bind defaults
array set bindDefaults {
  dcc:n {{dcc P|P n {} {}}}
  dcc:s {{dcc P|P s {} {}}}
  dcc:e {{dcc P|P e {} {}}}
  dcc:w {{dcc P|P w {} {}}}
  dcc:ne {{dcc P|P ne {} {}}}
  dcc:nw {{dcc P|P nw {} {}}}
  dcc:se {{dcc P|P se {} {}}}
  dcc:sw {{dcc P|P sw {} {}}}
  dcc:u {{dcc P|P u {} {}}}
  dcc:d {{dcc P|P d {} {}}}
  dcc:home {{dcc P|P home {} {}}}
  bot:wrpgmovebot {{-|- wrpgmove {} {}}}
}

# Help Data
array set helpData {
  dcc:n {{} {move north}}
  dcc:s {{} {move south}}
  dcc:e {{} {move east}}
  dcc:w {{} {move west}}
  dcc:ne {{} {move northeast}}
  dcc:nw {{} {move northwest}}
  dcc:se {{} {move southeast}}
  dcc:sw {{} {move southwest}}
  dcc:u {{} {move up}}
  dcc:d {{} {move down}}
  dcc:home {{} {return home}}
}
